<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Export generated survey data — export_survey_data • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Export generated survey data — export_survey_data"><meta name="description" content="Exports a FOKUS survey dataset generated via TODO to the private FOKUS repository."><meta property="og:description" content="Exports a FOKUS survey dataset generated via TODO to the private FOKUS repository."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Export generated survey data</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>export_survey_data.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Exports a FOKUS survey dataset generated via <em>TODO</em> to the <a href="print_private_repo_structure.html">private FOKUS repository</a>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">export_survey_data</span><span class="op">(</span></span>
<span>  <span class="va">data</span>,</span>
<span>  lang <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  merged <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  auth_token <span class="op">=</span> <span class="fu">funky</span><span class="fu">::</span><span class="fu"><a href="https://funky.rpkg.dev/reference/config_val.html" class="external-link">config_val</a></span><span class="op">(</span><span class="st">"token_repo_private"</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>FOKUS survey dataset. A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p></dd>


<dt id="arg-lang">lang<a class="anchor" aria-label="anchor" href="#arg-lang"></a></dt>
<dd><p>Language. Either <code>NULL</code> to read the language from <code>data</code>'s <code>fokus_lang</code> attribute or one of
<code>"de"</code> or <code>"en"</code>.</p></dd>


<dt id="arg-merged">merged<a class="anchor" aria-label="anchor" href="#arg-merged"></a></dt>
<dd><p>Whether or not <code>data</code> is a <em>merged</em> dataset, i.e. one that includes the data from <strong>all</strong> ballot dates that were covered by FOKUS surveys up
until the most recent <code>ballot_date</code> contained in <code>data</code>. See section <em>Merged data</em> below for details.</p>
<p>If <code>NULL</code>, a merged dataset is assumed if <code>data</code> covers multiple <code>ballot_date</code>s.</p></dd>


<dt id="arg-auth-token">auth_token<a class="anchor" aria-label="anchor" href="#arg-auth-token"></a></dt>
<dd><p><a href="https://gitlab.com/-/user_settings/personal_access_tokens" class="external-link">Personal access token of a gitlab.com account</a> with access to the <a href="https://gitlab.com/zdaarau/private/fokus_private/" class="external-link">private FOKUS repository</a>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p><code>data</code>, invisibly.</p>
    </div>
    <div class="section level2">
    <h2 id="merged-data">Merged data<a class="anchor" aria-label="anchor" href="#merged-data"></a></h2>
    <p>Merged datasets differ from single-ballot-date datasets in two ways:</p><ol><li><p>Column <strong>labels</strong> (the <code>label</code> attribute) are
ballot-date-independent, i.e. do not include proposal or election
names, and in case of question rewordings over time, the very
<em>latest</em> question wording of all FOKUS surveys in that canton is
used (which might have been introduced only after <code>ballot_date</code>). So
be aware that the questions in the labels do not necessarily
correspond to the actual questions asked in the FOKUS survey for
<code>ballot_date</code>.</p></li>
<li><p>Variables whose <strong>factor levels</strong> vary across ballot dates, such as
those capturing skill questions, are converted to type character. Be
aware that these variables usually aren’t really comparable over
time.</p></li>
</ol></div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other data export functions:
<code><a href="export_easyvote_municipalities.html">export_easyvote_municipalities</a>()</code>,
<code><a href="export_print_recipients.html">export_print_recipients</a>()</code>,
<code><a href="export_qr_codes.html">export_qr_codes</a>()</code>,
<code><a href="export_qstnr.html">export_qstnr</a>()</code>,
<code><a href="write_private_file.html">write_private_file</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

